pcl::poisson::CoredMeshData2::Vertex Struct Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

## Public Member Functions

| Vertex (void)
| Vertex (Point3D< float > s, Point3D< float > e, float v)
| Vertex (Point3D< float > s, Point3D< float > e, Point3D< float > p)

## Public Attributes

Point3D< float > | start
Point3D< float > | end
float | value

## Detailed Description

Definition at line 218 of file geometry.h.

## Constructor & Destructor Documentation

## Vertex() [1/3]

pcl::poisson::CoredMeshData2::Vertex::Vertex | ( | void |  | ) |

inline

Definition at line 222 of file geometry.h.

## Vertex() [2/3]

pcl::poisson::CoredMeshData2::Vertex::Vertex | ( | Point3D< float > | s,
|  | Point3D< float > | e,
|  | float | v
| ) |  |

inline

Definition at line 223 of file geometry.h.

## Vertex() [3/3]

pcl::poisson::CoredMeshData2::Vertex::Vertex | ( | Point3D< float > | s,
|  | Point3D< float > | e,
|  | Point3D< float > | p
| ) |  |

inline

Definition at line 224 of file geometry.h.

## Member Data Documentation

## end

Point3D< float > pcl::poisson::CoredMeshData2::Vertex::end

Definition at line 220 of file geometry.h.

## start

Point3D< float > pcl::poisson::CoredMeshData2::Vertex::start

Definition at line 220 of file geometry.h.

## value

float pcl::poisson::CoredMeshData2::Vertex::value

Definition at line 221 of file geometry.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/geometry.h